Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_compare()

## Synopsis

    int
    bson_compare (const bson_t *bson, const bson_t *other);

## Parameters

- `bson`: A bson_t.

- `other`: A bson_t.

## Description

The bson_compare() function shall compare two bson documents for equality.

This can be useful in conjunction with _qsort()_.

If equal, 0 is returned.

Tip

This function uses _memcmp()_ internally, so the semantics are the same.

## Returns

less than zero, zero, or greater than zero in `qsort()` style.